SDL_MessageBoxButtonData Struct Reference

Individual button data. More...

`#include <SDL_messagebox.h>`

## Data Fields

Uint32 | flags
int | buttonid
const char * | text

## Detailed Description

Individual button data.

Definition at line 56 of file SDL_messagebox.h.

## Field Documentation

int SDL_MessageBoxButtonData::buttonid

User defined button id (value returned via SDL_ShowMessageBox)

Definition at line 59 of file SDL_messagebox.h.

Uint32 SDL_MessageBoxButtonData::flags

SDL_MessageBoxButtonFlags

Definition at line 58 of file SDL_messagebox.h.

Referenced by SDL_ShowSimpleMessageBox().

const char* SDL_MessageBoxButtonData::text

The UTF-8 button text

Definition at line 60 of file SDL_messagebox.h.

Referenced by SDL_ShowSimpleMessageBox().

The documentation for this struct was generated from the following file:

- include/SDL_messagebox.h